summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexandru Croitor <alexandru.croitor@qt.io>2018-05-31 13:54:15 +0200
committerAlexandru Croitor <alexandru.croitor@qt.io>2018-05-31 12:56:07 +0000
commit00888f6c3e6dd8f6def05a9b46e2088f50238a98 (patch)
tree215e5aa8ae46dc160f73c7739802e1f5242fb05c
parent032cb10444f786a7ed0a9321395f398c992eb15d (diff)
Pass --limited-api=yes when building with py3 on Coin
This is needed to generate correct wheel names, that can be uploaded to PyPI. Change-Id: If97496d201af13f58f9dae8b61ac86bef68d8717 Reviewed-by: Friedemann Kleint <Friedemann.Kleint@qt.io> Reviewed-by: Cristian Maureira-Fredes <cristian.maureira-fredes@qt.io>
-rw-r--r--coin_build_instructions.py2
1 files changed, 2 insertions, 0 deletions
diff --git a/coin_build_instructions.py b/coin_build_instructions.py
index ad433184..1a6e3dae 100644
--- a/coin_build_instructions.py
+++ b/coin_build_instructions.py
@@ -85,6 +85,8 @@ def call_setup(python_ver):
"--jobs=4",
"--verbose-build",
"--snapshot-build"]
+ if python_ver == "3":
+ cmd += ["--limited-api=yes"]
run_instruction(cmd, "Failed to run setup.py")